TopicForms
Get a topic form (Preview)
Preview · Available to selected organizations. Returns a signup form belonging to the visible topic, including its public key and current link origin.
Returns a signup form belonging to the visible topic, including its public key and current link origin. Forms outside the caller namespace or organization return 404. Requires topicSignup.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^unsub_[0-9a-hjkmnp-tv-z]{16,24}$formId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/topics/string/forms/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "publicKey": "29f62ed2-b67a-44ba-84f5-217ecee94438", "topicId": "string", "allowedOrigins": [ "string" ], "confirmationTitle": "string", "confirmationMessage": "string", "successTitle": "string", "successMessage": "string", "redirectUrl": "string", "linkOrigin": "string", "createdAt": "string", "updatedAt": "string"}